Subject: Re: bug#71847: Self-inflicted problem, libtool and automake installed to different prefixes

From: Karl Berry <[email-masked]>
Date: Tue, 2 Jul 2024 16:24:39 -0600

Hi Dave,

    Why is it installing prerelease automake in a different prefix for
    testing hasn't required also installing libtool to the same prefix

In general, I think it does. And always has. This is not new behavior,
as far as I can see.

    (think back to your "baffled" comment)?

Indeed :). Looking into that further, the main external package I test
with is TeX Live. Although I had forgotten earlier, for TL we long ago
put a copy of libtool.m4 into TL itself (and methods to keep it in
sync), to ease exactly this sort of problem. So I believe that's why I
have not seen it.

    A)  Perhaps the prerelease announcements should mention the issue somehow
    [...]
    B)  Perhaps the libtool macros not found error message could hint at this
    cause alongside the stuff about ensuring LT_INIT is used.

Both are good ideas. I'll take a look. Thanks!